at.chipkarte.client.kse.soap

## Class KonsultationsBeleg

- Object
- - at.chipkarte.client.kse.soap.KonsultationsBeleg

-     public class KonsultationsBeleg
      extends Object

  Enthält die Daten zu einer Version eines Konsultationsbelegs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KonsultationsBeleg()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbrechnungsPeriode()` Zeitperiode, in der die Abrechnung der Konsultation stattfindet.
    `String` | `getAbstimmungsBeleg()` Formatierter Beleg zur Weitergabe an den KVT für die Abstimmung.
    `String` | `getAnspruchsart()` Anspruchsart - mögliche Werte siehe `Anspruchsarten`.
    `String` | `getBearbeitungsDatum()` Datum der zuletzt durchgeführten Bearbeitung (Anlage, Änderung, Storno, Nachsignierung, Wiederinkraftsetzung) einer Konsultation.
    `String` | `getBearbeitungsDatumClientSignatur()` Bearbeitungsdatum der Clientsignatur.
    `String` | `getBehandlungsDatum()` Datum der Behandlung.
    `String` | `getBehandlungsfallCode()` Behandlungsfallcode, mit dem die Konsultation durchgeführt wurde.
    `Integer` | `getBelegInhaltVersion()` Format-/Inhaltsversion des Konsultationsbelegs.
    `String` | `getBezugsBereich()` Code des Bezugsbereiches der Konsultation.
    `String` | `getBundeslandCode()` Code für das Bundesland, in dem sich die Ordinationsadresse befindet, in der die Behandlung erfolgt ist.
    `byte[]` | `getClientSignatur()` Binärdaten der Clientsignatur nach CMS (Cryptographic Message Syntax) mit externen Signaturdaten ("external signature").
    `String` | `getErsatzbelegCode()` Code des Ersatzbelegs, mit dem die Konsultation durchgeführt wurde.
    `String` | `getFachgebietsCode()` Code des Fachgebietes, mit dem die Konsultation durchgeführt wurde.
    `Long` | `getId()` Eindeutige Nummer der Konsultation (dient zur Referenzierung dieses Konsultationsbelegs in anderen Funktionen).
    `String` | `getKonsultationsartCode()` Kennzeichen für die Konsultationsart.
    `String` | `getLeistungsrechtlichesLimitGeprueft()` Kennzeichen, dass das leistungsrechtliche Limit geprüft wurde.
    `String` | `getLeistungsSvtCode()` Code des leistungszuständigen KVT für den Patienten.
    `Integer` | `getOrdNummer()` Fortlaufende Ordinationsnummer aufgrund der Verträge des Vertragspartners.
    `String` | `getOriginalSvtCode()` Code des ursprünglichen KVT, den der Vertragspartner beim Erstellen der Genehmigungsanfrage erfasst hat.
    `byte[]` | `getServerSignatur()` Binärdaten der Serversignatur nach CMS (Cryptographic Message Syntax) mit externen Signaturdaten ("external signature").
    `String` | `getSignaturFormatClient()` Kennzeichen für das Signaturformat der Clientsignatur.
    `String` | `getSignaturFormatServer()` Kennzeichen für das Signaturformat der Serversignatur.
    `String` | `getStatus()` Statuscode der Konsultation.
    `String` | `getSvNummer()` Sozialversicherungsnummer des Patienten.
    `String` | `getSvNummerAbgeleitet()` Sozialversicherungsnummer des Versicherten, von dem sich der Anspruch ableitet.
    `Long` | `getTxnNummer()` Eindeutige fortlaufende ausprägungsspezifische Nummer für diese Version des Konsultationsbelegs.
    `String` | `getVerrechnungsSvtCode()` Code des verrechnungszuständigen KVT des Vertragspartners.
    `String` | `getVersichertenartCode()` Versichertenart-Code des Patienten.
    `String` | `getVersichertenKategorie()` Versichertenkategorie des Patienten.
    `Integer` | `getVersion()` Laufende Nummer der Konsultation, die pro Status Änderung (zum Beispiel: nachgebracht oder storniert) hinaufgezählt wird.
    `String` | `getVpNummer()` Vertragspartnernummer.
    `Boolean` | `isKostenanteilbefreit()` Kennzeichen, ob der Patient vom Kostenanteil befreit ist.
    `Boolean` | `isOverLimit()` Kennzeichen, dass das Limit für Konsultationen ohne e-card zum Zeitpunkt dieser Konsultation überschritten wurde.
    `Boolean` | `isRezeptgebbefreit()` Kennzeichen, ob der Patient rezeptgebührenbefreit ist.
    `void` | `setAbrechnungsPeriode(String abrechnungsPeriode)`
    `void` | `setAbstimmungsBeleg(String abstimmungsBeleg)`
    `void` | `setAnspruchsart(String anspruchsart)`
    `void` | `setBearbeitungsDatum(String bearbeitungsDatum)`
    `void` | `setBearbeitungsDatumClientSignatur(String bearbeitungsDatumClientSignatur)`
    `void` | `setBehandlungsDatum(String behandlungsDatum)`
    `void` | `setBehandlungsfallCode(String behandlungsfallCode)`
    `void` | `setBelegInhaltVersion(Integer belegInhaltVersion)`
    `void` | `setBezugsBereich(String bezugsBereich)`
    `void` | `setBundeslandCode(String bundeslandCode)`
    `void` | `setClientSignatur(byte[] clientSignatur)`
    `void` | `setErsatzbelegCode(String ersatzbelegCode)`
    `void` | `setFachgebietsCode(String fachgebietsCode)`
    `void` | `setId(Long id)`
    `void` | `setKonsultationsartCode(String konsartCode)`
    `void` | `setKostenanteilbefreit(Boolean kostenanteilbefreit)`
    `void` | `setLeistungsrechtlichesLimitGeprueft(String limit)`
    `void` | `setLeistungsSvtCode(String leistungsSvtCode)`
    `void` | `setOrdNummer(Integer ordNummer)`
    `void` | `setOriginalSvtCode(String originalSvtCode)`
    `void` | `setOverLimit(Boolean overLimit)`
    `void` | `setRezeptgebbefreit(Boolean rezeptgebbefreit)`
    `void` | `setServerSignatur(byte[] serverSignatur)`
    `void` | `setSignaturFormatClient(String signaturFormatClient)`
    `void` | `setSignaturFormatServer(String signaturFormatServer)`
    `void` | `setStatus(String status)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setSvNummerAbgeleitet(String svNummerAbgeleitet)`
    `void` | `setTxnNummer(Long txnNummer)`
    `void` | `setVerrechnungsSvtCode(String verrechnungsSvtCode)`
    `void` | `setVersichertenartCode(String versichertenartCode)`
    `void` | `setVersichertenKategorie(String versichertenKategorie)`
    `void` | `setVersion(Integer version)`
    `void` | `setVpNummer(String vpNummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KonsultationsBeleg

          public KonsultationsBeleg()

  - ### Method Detail

    - #### setAbrechnungsPeriode

          public void setAbrechnungsPeriode(String abrechnungsPeriode)

    - #### setAbstimmungsBeleg

          public void setAbstimmungsBeleg(String abstimmungsBeleg)

    - #### setAnspruchsart

          public void setAnspruchsart(String anspruchsart)

    - #### setBearbeitungsDatum

          public void setBearbeitungsDatum(String bearbeitungsDatum)

    - #### setBearbeitungsDatumClientSignatur

          public void setBearbeitungsDatumClientSignatur(String bearbeitungsDatumClientSignatur)

    - #### setBehandlungsDatum

          public void setBehandlungsDatum(String behandlungsDatum)

    - #### setBehandlungsfallCode

          public void setBehandlungsfallCode(String behandlungsfallCode)

    - #### setBelegInhaltVersion

          public void setBelegInhaltVersion(Integer belegInhaltVersion)

    - #### setBezugsBereich

          public void setBezugsBereich(String bezugsBereich)

    - #### setBundeslandCode

          public void setBundeslandCode(String bundeslandCode)

    - #### setClientSignatur

          public void setClientSignatur(byte[] clientSignatur)

    - #### setErsatzbelegCode

          public void setErsatzbelegCode(String ersatzbelegCode)

    - #### setFachgebietsCode

          public void setFachgebietsCode(String fachgebietsCode)

    - #### setId

          public void setId(Long id)

    - #### setKonsultationsartCode

          public void setKonsultationsartCode(String konsartCode)

    - #### setKostenanteilbefreit

          public void setKostenanteilbefreit(Boolean kostenanteilbefreit)

    - #### setLeistungsSvtCode

          public void setLeistungsSvtCode(String leistungsSvtCode)

    - #### setLeistungsrechtlichesLimitGeprueft

          public void setLeistungsrechtlichesLimitGeprueft(String limit)

    - #### setOrdNummer

          public void setOrdNummer(Integer ordNummer)

    - #### setOriginalSvtCode

          public void setOriginalSvtCode(String originalSvtCode)

    - #### setOverLimit

          public void setOverLimit(Boolean overLimit)

    - #### setRezeptgebbefreit

          public void setRezeptgebbefreit(Boolean rezeptgebbefreit)

    - #### setServerSignatur

          public void setServerSignatur(byte[] serverSignatur)

    - #### setSignaturFormatClient

          public void setSignaturFormatClient(String signaturFormatClient)

    - #### setSignaturFormatServer

          public void setSignaturFormatServer(String signaturFormatServer)

    - #### setStatus

          public void setStatus(String status)

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### setSvNummerAbgeleitet

          public void setSvNummerAbgeleitet(String svNummerAbgeleitet)

    - #### setTxnNummer

          public void setTxnNummer(Long txnNummer)

    - #### setVerrechnungsSvtCode

          public void setVerrechnungsSvtCode(String verrechnungsSvtCode)

    - #### setVersichertenartCode

          public void setVersichertenartCode(String versichertenartCode)

    - #### setVersichertenKategorie

          public void setVersichertenKategorie(String versichertenKategorie)

    - #### setVersion

          public void setVersion(Integer version)

    - #### setVpNummer

          public void setVpNummer(String vpNummer)

    - #### getBelegInhaltVersion

          public Integer getBelegInhaltVersion()

      Format-/Inhaltsversion des Konsultationsbelegs.
      Format: maximal 4-stellig
      Returns:
        Inhaltversion des Belegs

    - #### getAbrechnungsPeriode

          public String getAbrechnungsPeriode()

      Zeitperiode, in der die Abrechnung der Konsultation stattfindet.
      Format:
      JJJJ + Monat ( 01 - 12) + KZ "M" für monatliche Abrechnung oder
      JJJJ + Quartal (01 - 04) + KZ "Q" für quartalsweise Abrechnung
      Beispiel: 200501Q
      Format: 7-stellig
      Returns:
        Abrechnungsperiode

    - #### getSvNummerAbgeleitet

          public String getSvNummerAbgeleitet()

      Sozialversicherungsnummer des Versicherten, von dem sich der Anspruch ableitet.
      Format: 10-stellig
      Returns:
        Sozialversicherungsnummer des Versicherten, von dem sich der Anspruch ableitet

    - #### getAnspruchsart

          public String getAnspruchsart()

      Anspruchsart - mögliche Werte siehe `Anspruchsarten`.
      Format: maximal 2-stellig
      Returns:
        Code der Anspruchsart

    - #### getBearbeitungsDatum

          public String getBearbeitungsDatum()

      Datum der zuletzt durchgeführten Bearbeitung (Anlage, Änderung, Storno, Nachsignierung, Wiederinkraftsetzung) einer Konsultation.
      Format: TTMMJJJJ
      Returns:
        Bearbeitungsdatum

    - #### getBehandlungsfallCode

          public String getBehandlungsfallCode()

      Behandlungsfallcode, mit dem die Konsultation durchgeführt wurde.
      Format: 2-stellig
      Returns:
        Behandlungsfallcode

    - #### getBezugsBereich

          public String getBezugsBereich()

      Code des Bezugsbereiches der Konsultation.
      Mögliche Werte: `Bezugsbereich`
      Format: 2-stellig
      Returns:
        Bezugsbereichscode

    - #### getBundeslandCode

          public String getBundeslandCode()

      Code für das Bundesland, in dem sich die Ordinationsadresse befindet, in der die Behandlung erfolgt ist.
      Mögliche Werte siehe `Bundeslandcodes`
      Format: 1-stellig
      Returns:
        Bundeslandcode

    - #### getErsatzbelegCode

          public String getErsatzbelegCode()

      Code des Ersatzbelegs, mit dem die Konsultation durchgeführt wurde.
      Format: 5-stellig, alphanumerisch
      Returns:
        Ersatzbeleg-Code

    - #### getFachgebietsCode

          public String getFachgebietsCode()

      Code des Fachgebietes, mit dem die Konsultation durchgeführt wurde.
      Format: 2-stellig
      Returns:
        Fachgebietscode

    - #### getKonsultationsartCode

          public String getKonsultationsartCode()

      Kennzeichen für die Konsultationsart. Mögliche Werte siehe `Konsultationsart`.
      Format: 3-stellig
      Returns:
        Konsultationsartcode

    - #### getVersion

          public Integer getVersion()

      Laufende Nummer der Konsultation, die pro Status Änderung (zum Beispiel: nachgebracht oder storniert) hinaufgezählt wird.
      Format: Integer (numerischer, positiver Wert)
      Returns:
        Version

    - #### isKostenanteilbefreit

          public Boolean isKostenanteilbefreit()

      Kennzeichen, ob der Patient vom Kostenanteil befreit ist.
      Format: Boolean (true/false)
      Returns:
        Kennzeichen der Kostenanteilsbefreiung

    - #### getLeistungsSvtCode

          public String getLeistungsSvtCode()

      Code des leistungszuständigen KVT für den Patienten.
      Format: 2-stellig
      Returns:
        Code des leistungszuständigen KVT

    - #### isRezeptgebbefreit

          public Boolean isRezeptgebbefreit()

      Kennzeichen, ob der Patient rezeptgebührenbefreit ist.
      Format: Boolean (true/false)
      Returns:
        Kennzeichen der Rezeptgebührenbefreiung

    - #### getStatus

          public String getStatus()

      Statuscode der Konsultation.
      Mögliche Werte, siehe `"Statuscodes der Konsultation"`
      Format: 2-stellig
      Returns:
        Status-Code

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer des Patienten.
      Format: 10-stellig
      Returns:
        Sozialversicherungsnummer

    - #### getVerrechnungsSvtCode

          public String getVerrechnungsSvtCode()

      Code des verrechnungszuständigen KVT des Vertragspartners.
      Format: 2-stellig
      Returns:
        Code des verrechnungszuständigen KVT

    - #### getVersichertenartCode

          public String getVersichertenartCode()

      Versichertenart-Code des Patienten.
      Mögliche Werte siehe `Versichertenartcodes`.
      Format: 1-stellig
      Returns:
        Versichertenart-Code

    - #### getVersichertenKategorie

          public String getVersichertenKategorie()

      Versichertenkategorie des Patienten.
      Mögliche Werte siehe `Versichertenkategorie`.
      Format: 2-stellig
      Returns:
        Versichertenkategorie

    - #### getVpNummer

          public String getVpNummer()

      Vertragspartnernummer.
      Format: 6-stellig
      Returns:
        Vertragspartnernummer

    - #### getSignaturFormatClient

          public String getSignaturFormatClient()

      Kennzeichen für das Signaturformat der Clientsignatur.
      Mögliche Werte siehe `Signaturformate`.
      Format: 1-stellig
      Returns:
        Signaturformat der Clientsignatur

    - #### getSignaturFormatServer

          public String getSignaturFormatServer()

      Kennzeichen für das Signaturformat der Serversignatur.
      Mögliche Werte siehe `Signaturformate`.
      Format: 1-stellig
      Returns:
        Signaturformat der Serversignatur

    - #### getBearbeitungsDatumClientSignatur

          public String getBearbeitungsDatumClientSignatur()

      Bearbeitungsdatum der Clientsignatur.
      Format: Sekundengenau im Format "ssmmSSTTMMJJJJ+X000": Mitteleuropäische Sommerzeit (MESZ) (Central European Summer Time (CEST)), gemeinsam mit der Zeitzone (entweder "+0100" oder "+0200")
      Returns:
        Bearbeitungsdatum der Clientsignatur

    - #### getOrdNummer

          public Integer getOrdNummer()

      Fortlaufende Ordinationsnummer aufgrund der Verträge des Vertragspartners.
      Format: Integer (numerischer, positiver Wert)
      Returns:
        Ordinationsnummer

    - #### getBehandlungsDatum

          public String getBehandlungsDatum()

      Datum der Behandlung.
      Format: TTMMJJJJ
      Returns:
        Behandlungsdatum

    - #### getOriginalSvtCode

          public String getOriginalSvtCode()

      Code des ursprünglichen KVT, den der Vertragspartner beim Erstellen der Genehmigungsanfrage erfasst hat.
      Mögliche Werte null oder siehe Funktion `getSVTs`.
      Format: 2-stellig
      Returns:
        Ursprünglicher KVT-Code

    - #### getId

          public Long getId()

      Eindeutige Nummer der Konsultation (dient zur Referenzierung dieses Konsultationsbelegs in anderen Funktionen).
      Format: maximal 19-stellig
      Returns:
        ID

    - #### isOverLimit

          public Boolean isOverLimit()

      Kennzeichen, dass das Limit für Konsultationen ohne e-card zum Zeitpunkt dieser Konsultation überschritten wurde.
      Format: Boolean (true/false)
      Returns:
        Kennzeichen für Limitüberschreitung

    - #### getLeistungsrechtlichesLimitGeprueft

          public String getLeistungsrechtlichesLimitGeprueft()

      Kennzeichen, dass das leistungsrechtliche Limit geprüft wurde.
      Mögliche Werte siehe `LeistungRLimit`
      Format: 1-stellig
      Returns:
        Kennzeichen der leistungsrechtlichen Limitprüfung

    - #### getTxnNummer

          public Long getTxnNummer()

      Eindeutige fortlaufende ausprägungsspezifische Nummer für diese Version des Konsultationsbelegs.
      Format: maximal 19-stellig
      Returns:
        Transaktionsnummer

    - #### getClientSignatur

          public byte[] getClientSignatur()

      Binärdaten der Clientsignatur nach CMS (Cryptographic Message Syntax) mit externen Signaturdaten ("external signature").
      `deprecated` - wird nicht mehr befüllt und mit einer späteren Release entfernt.
      Returns:
        Clientsignatur

    - #### getServerSignatur

          public byte[] getServerSignatur()

      Binärdaten der Serversignatur nach CMS (Cryptographic Message Syntax) mit externen Signaturdaten ("external signature").
      `deprecated` - wird nicht mehr befüllt und mit einer späteren Release entfernt.
      Returns:
        Serversignatur

    - #### getAbstimmungsBeleg

          public String getAbstimmungsBeleg()

      Formatierter Beleg zur Weitergabe an den KVT für die Abstimmung.
      Format: maximal 2222-stellig
      Returns:
        Abstimmungsbeleg